Forum: Ruby textpow 0.9.0 Released

Announcement (2017-05-07): is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see and for other Rails- und Ruby-related community platforms.
2cc67fef9619c044dc8ca93ee718c6d3?d=identicon&s=25 Dizan Vasquez (Guest)
on 2007-05-12 13:28
(Received via mailing list)
I have the pleasure to announce the first public release (v 0.9.0 ) of

Textpow is a Ruby library to parse TextMate[]
Currently, Textpow fully parse Textmate Syntax files (tmSyntax,

Dizan Vasquez
86e33dee4a89a8879a26487051c216a8?d=identicon&s=25 Michael Fellinger (Guest)
on 2007-05-12 15:07
(Received via mailing list)
Just a note, textpow requires oniguruma, which currently doesn't seem
to run on 64bit machines.

^ manveru
2cc67fef9619c044dc8ca93ee718c6d3?d=identicon&s=25 Dizan Vasquez (Guest)
on 2007-05-12 15:41
(Received via mailing list)
Yes, there is, indeed, a bug report, about oniguruma (which I
crashing in 64 bit machines. Unfortunately, since I do not have access
to a
64 bit computer, I have not been able to verify the problem. At the same
time, the report is quite old (I believe it was issued for version 0.9.0
so) and the code base has changed a lot since then.

Could anybody confirm that the problem is still happening? If that is
case, a detailed description of the error in the project's tracker will
welcome. If everything is o.k. now I will close the report.


This topic is locked and can not be replied to.